Subject: [Last-Call] Secdir last call review of draft-ietf-extra-sieve-mailboxid-06

From: Samuel Weiler via Datatracker <[email-masked]>
Date: Wed, 16 Dec 2020 06:35:48 -0800

Reviewer: Samuel Weiler
Review result: Has Issues

Thank you for the well-written document!

I'm concerned about the user experience of this extension.

I imagine confusion will arise when the opaque :mailboxid takes precedence over
the human readable mailbox name.   I don't see any feedback mechanism to show
that the mail is going to a mailbox other than the one that is human readable -
feedback that could prompt updating of the script.  As a human trying debug
this, it may not be obvious where mail went - the script says "INBOX.foo" and
the mail simply isn't there.  Is there a way to make this more debuggable?  Or
is there useful advice to provide to the Sieve UI implementer, like "this is
for special cases and should probably be off by default"?

Minor: I'd like section 3 to point at what "require" means:
https://tools.ietf.org/html/rfc5228#section-2.10.5